Get all schemas
This endpoint is used to get all schemas.
More details
More details
cursor query parameter (empty for the first page) to use cursor pagination: the response envelope becomes { data, pagination: { limit, nextCursor, hasMore } }. Follow nextCursor until hasMore is false; keep the same sort and filter parameters for every page of a walk.The schemas field is an array of schemas. Each schema contains the following fields:-
id: The ID of the schema. This is the unique identifier for the schema. -
fields: An array of fields. Each field contains the following fields:id: The ID of the field. This is the unique identifier for the field.
-
blueprintId: The ID of the blueprint that the schema is associated with. -
originalSchemaId: The ID of the original schema that the schema is based on. -
schemaHistoryId: The ID of the schema history that the schema is associated with. -
schemaHistoryVersionNumber: The version number of the schema history that the schema is associated with. This is a number that increments every time a new version of the schema is created. -
fileId: The ID of the file that the schema is associated with. -
blueprintMode: The mode of the blueprint that the schema is associated with. This is eitheruserorsystem. -
schemaType: The type of the schema. This is eithercustomorsystem. -
state: The state of the schema. This is eitheractiveorinactive. -
usageApprovalState: The state of the usage approval of the schema. This can be either APPROVED, PENDING, or REJECTED. -
schemaOverrideType: The type of the schema override. This can be either OVERRIDE or DEFAULT. -
aiSchemaVersion: The version of the AI schema that the schema is associated with. -
createdAt: The date and time when the schema was created. -
updatedAt: The date and time when the schema was last updated. -
deletedAt: The date and time when the schema was deleted. -
deletedBy: The ID of the user who deleted the schema.
Authorizations
API key for authentication
Query Parameters
Schema Ids
"649e2d2d2d2d2d2d2d2d2d2d"
Upload Ids
"649e2d2d2d2d2d2d2d2d2d2d"
Page number
1
Number of items per page
100
Field to sort by
"createdAt"
Sort direction
ASC, DESC "ASC"
Opaque pagination cursor. Provide the parameter (empty value for the first page) to switch to cursor pagination: the response becomes { data, pagination: { limit, nextCursor, hasMore } } with default limit 50 (max 100). Omit it entirely for legacy page/limit pagination. In cursor mode sortBy must be one of createdAt, updatedAt, _id, and cursors are bound to the sortBy/sortOrder they were minted with.